_Ecore_Event_Joystick Struct Reference
Ecore Input

Contains information about a joystick event. More...

`#include <Ecore_Input.h>`

## Data Fields

Ecore_Event_Joystick_Event_Type | type
unsigned int | index
unsigned int | timestamp
union { |
struct { |
Ecore_Event_Joystick_Axis index |
double value |
} axis
struct { |
Ecore_Event_Joystick_Button index |
double value |
} button
}; |
Eo * | dev
| The Efl_Input_Device that originated the event.

## Detailed Description

Contains information about a joystick event.

## Field Documentation

## dev

Eo* _Ecore_Event_Joystick::dev

The Efl_Input_Device that originated the event.

Since
  1.19